#
# To learn more about a Podspec see http://guides.cocoapods.org/syntax/podspec.html.
# Run `pod lib lint appier_flutter.podspec' to validate before publishing.
#

Pod::Spec.new do |s|
  s.name             = 'appier_flutter'
  s.version          = '1.0.0-beta'
  s.summary          = 'Flutter Plugin for Appier Enterprise Solutions'
  s.description      = 'Flutter Plugin for Appier Enterprise Solutions'
  s.homepage         = 'https://www.appier.com/'
  s.license          = { :file => '../LICENSE' }
  s.author           = { 'APPIER Inc.' => 'shiv.raj@appier.com' }
  s.source           = { :path => '.' }
  s.source_files = 'Classes/**/*'
  s.dependency 'Flutter'
  s.dependency 'AppierFramework', '7.5.0'
  s.platform = :ios, '11.0'

  # Flutter.framework does not contain a i386 slice.
  s.pod_target_xcconfig = { 'DEFINES_MODULE' => 'YES', 'EXCLUDED_ARCHS[sdk=iphonesimulator*]' => 'i386' }
  s.swift_version = '5.0'
end
